# Modifications to libiconv to build on Android.
# Copyright (C) 2024 Free Software Foundation, Inc.

# These modifications are part of GNU Emacs.

# GNU Emacs is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or (at
# your option) any later version.

# GNU Emacs is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with GNU Emacs.  If not, see <https://www.gnu.org/licenses/>.

LOCAL_PATH := $(call my-dir)


# Static library libiconv-iconv.
LOCAL_SRC_FILES := iconv.c
LOCAL_STATIC_LIBRARIES := libiconv-charset
LOCAL_MODULE    := libiconv-iconv
LOCAL_EXPORT_C_INCLUDES := $(LOCAL_PATH)/../include
LOCAL_C_INCLUDES := $(LOCAL_PATH)/../include
LOCAL_CFLAGS    := -O2 -Wimplicit-function-declaration \
  -Wno-parentheses-equality -Wno-deprecated-non-prototype

include $(BUILD_STATIC_LIBRARY)
